unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Borland.Vcl.StdCtrls, System.ComponentModel,
  UrlMon,ShellApi,WinInet,
  System.Text,System.Net;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Edit2: TEdit;
    Button2: TButton;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Button3: TButton;
    GroupBox3: TGroupBox;
    Edit3: TEdit;
    Button4: TButton;
    GroupBox4: TGroupBox;
    Button5: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    procedure Button3Click(Sender: TObject);
    //procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
//http://www.phys.uni.torun.pl/~jacek/img/umk.gif
//URLDownloadToFile(nil,PChar(Edit1.Text),PChar(Edit2.Text),0,nil); //Win32
URLDownloadToFile(nil,Edit1.Text,Edit2.Text,0,nil); //.NET
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
//ShellExecute(Handle,'open',PChar(Edit2.Text),'','.',SW_NORMAL); //Win32
ShellExecute(Handle,'open',Edit2.Text,'','.',SW_NORMAL); //.NET
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  sb :StringBuilder;
  sb_rozmiar :Cardinal;
  InfoKomputer :IPHostEntry;
  AdresIP :IPAddress;
begin
//Nazwa komputera
sb:=StringBuilder.Create(MAX_COMPUTERNAME_LENGTH);
sb_rozmiar:=sb.Capacity;
GetComputerName(sb,sb_rozmiar);
Label3.Caption:='Nazwa komputera: '+sb.ToString;
//Sprawdzamy informacje o komputerze
InfoKomputer:=Dns.GetHostByName(sb.ToString);
Label3.Caption:='Nazwa komputera: '+InfoKomputer.HostName;
//Adres IP
AdresIP:=InfoKomputer.AddressList[0];
Label4.Caption:='IP: '+AdresIP.ToString;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
//ShellExecute(Handle,'open',PChar(Edit3.Text),'','.',SW_NORMAL); //Win32
ShellExecute(Handle,'open',Edit3.Text,'','.',SW_NORMAL); //.NET
end;

procedure TForm1.Button5Click(Sender: TObject);
var
  typyPolaczen: Cardinal;
  polaczenieLAN,polaczenieModem,polaczenieTrybOffline,
  polaczenieProxy,polaczenieRAS,polaczenieModemZajety :Boolean;
begin
typyPolaczen:=0;
//InternetGetConnectedState(@typyPolaczen,0); //Win32
InternetGetConnectedState(typyPolaczen,0); //.NET
polaczenieLAN:=Boolean(typyPolaczen and INTERNET_CONNECTION_LAN);
polaczenieModem:=Boolean(typyPolaczen and INTERNET_CONNECTION_MODEM);
polaczenieModemZajety:=Boolean(typyPolaczen and INTERNET_CONNECTION_MODEM_BUSY);
polaczenieTrybOffline:=Boolean(typyPolaczen and INTERNET_CONNECTION_OFFLINE);
polaczenieProxy:=Boolean(typyPolaczen and INTERNET_CONNECTION_PROXY);
polaczenieRAS:=Boolean(typyPolaczen and INTERNET_RAS_INSTALLED);

CheckBox1.Checked:=polaczenieLAN;
CheckBox2.Checked:=polaczenieModem;
CheckBox3.Checked:=polaczenieTrybOffline;
CheckBox4.Checked:=polaczenieProxy;
CheckBox5.Checked:=polaczenieRAS; //Remote Access Service
CheckBox6.Checked:=polaczenieModemZajety;
end;

end.
